TVG-LOTTIE2GIF(1)

NAME
tvg-lottie2gif - convert Lottie animation files to GIF images

SYNOPSIS
tvg-lottie2gif [Lottie-file] [Lottie-folder] [-r resolution] [-f fps] [-b bgColor]

DESCRIPTION
tvg-lottie2gif converts Lottie animation JSON files to animated GIF images using the ThorVG rendering engine.

When given a directory, it recursively processes all .json Lottie files found within.

OPTIONS

-r WIDTHxHEIGHT
    Set the output image resolution in pixels (e.g., -r 600x600). Defaults to 600x600.

-f NUM
    Set the frames per second for the GIF output (e.g., -f 30). Defaults to 30.

-b HEXCOLOR
    Set the background color as a hexadecimal value without the ‘#’ prefix (e.g., -b fa7410 for orange). If not specified, the background is transparent.

EXAMPLES
Convert a single Lottie file:

    $ tvg-lottie2gif input.json

Convert with custom resolution and frame rate:

    $ tvg-lottie2gif input.json -r 600x600 -f 30

Convert all Lottie files in a directory with a background color:

    $ tvg-lottie2gif lottiefolder -r 600x600 -f 30 -b fa7410

SEE ALSO
tvg-svg2png(1)

AUTHORS
ThorVG project <https://www.thorvg.org>

This manual was created by Jongmin Kim <jmkim@debian.org> for the Debian project (but may be used by others).